// Includefile fr:
////////////////////////
// Snake Version 1.2a //
////////////////////////
// von Michael Ludwig und Jens Scheffler
// 2002

////////////////////////////////////
//   Defines                      //
////////////////////////////////////

// Anzahl der Bitmaps als Resource
#define BILD_ANZAHL                         32

// Erste Resource-ID der Bilder
#define BILD_ERSTES                         2000//6001

// Blockgrsse der Bilder
#define RASTER                              8
#define SCREEN_WIDTH                        160
#define SCREEN_HEIGHT                       160

// Richtungen im Programm
#define RICHTUNG_NORD                       0
#define RICHTUNG_SUED                       1
#define RICHTUNG_OST                        2
#define RICHTUNG_WEST                       3

// Grsse des Spielfeldes
#define FELD_BREITE                         19
#define FELD_HOEHE                          17

// Wachstum pro gefressenem Apfel
#define WACHSTUMSRATE                       3

// Punktzahl, ab der der Level gewechselt wird
#define LEVEL_WECHSEL                       (WACHSTUMSRATE * 33 +1)

// Startgeschwindigkeit fr Level 1
#define GRUND_GESCHWINDIGKEIT               75
#define GESCHWINDIGKEITS_ABNAHME            7

// Lnge der Highscoreeintrge (in Zeichen ohne Terminierung)
#define HIGHSCORE_NAME_LEN                  20
// Anzahl der Eintrge in der Highscore
#define HIGHSCORE_LEN                       8

// Vordefinierter StartLevel
#define STANDARD_START_LEVEL                2

// Definition des Jokers
#define JOKER_PUNKTE_FAKTOR                 3
#define JOKER_DAUER                         25
#define JOKER_HAEUFIGKEIT                   500

// Definition der Formulare
#define FORM_MAIN                           1000
#define FORM_EINSTELLUNGEN                  1001
#define FORM_INFO                           1002
#define FORM_HIGHSCORE                      1003
#define FORM_NEW_HIGHSCORE                  1004
#define FORM_CRASH                          1005
#define FORM_NEXT_LEVEL                     1006

// Definition der Mens
#define MENU_MAIN                           2000

// Definition der Menpunkte
#define MENUITEM_NEU                        3000
#define MENUITEM_HIGHSCORE                  3001
#define MENUITEM_EINSTELLUNGEN              3002
#define MENUITEM_ABOUT                      3003

// Definition der Hilfetexte
#define HELP_EINSTELLUNGEN                  4001
#define HELP_HIGHSCORE                      4002
#define HELP_INFO                           4003
#define HELP_CRASH                          4004
#define HELP_NEW_HIGHSCORE                  4005
#define HELP_NEXT_LEVEL                     4006

// Definition der Dialog-IDs
#define EINSTELLUNGEN_BUTTON_OK             5001
#define EINSTELLUNGEN_LABEL_STARTLEVEL      5002
#define EINSTELLUNGEN_SOUND                 5003
#define EINSTELLUNGEN_PUSHBUTTON_LEVEL1     5004
#define EINSTELLUNGEN_PUSHBUTTON_LEVEL2     EINSTELLUNGEN_PUSHBUTTON_LEVEL1+1
#define EINSTELLUNGEN_PUSHBUTTON_LEVEL3     EINSTELLUNGEN_PUSHBUTTON_LEVEL1+2
#define EINSTELLUNGEN_PUSHBUTTON_LEVEL4     EINSTELLUNGEN_PUSHBUTTON_LEVEL1+3
#define EINSTELLUNGEN_PUSHBUTTON_LEVEL5     EINSTELLUNGEN_PUSHBUTTON_LEVEL1+4
#define EINSTELLUNGEN_PUSHBUTTON_LEVEL6     EINSTELLUNGEN_PUSHBUTTON_LEVEL1+5
#define EINSTELLUNGEN_PUSHBUTTON_LEVEL7     EINSTELLUNGEN_PUSHBUTTON_LEVEL1+6
#define EINSTELLUNGEN_PUSHBUTTON_LEVEL8     EINSTELLUNGEN_PUSHBUTTON_LEVEL1+7
#define EINSTELLUNGEN_GROUP_ID              1

#define INFO_BUTTON_OK                      5100
#define INFO_LABEL_1                        5101
#define INFO_LABEL_2                        5102
#define INFO_LABEL_3                        5103
#define INFO_LABEL_4                        5104
#define INFO_LABEL_5                        5105
#define INFO_LABEL_6                        5106
#define INFO_LABEL_7                        5107
#define INFO_LABEL_8                        5108

#define HIGHSCORE_BUTTON_OK                 5200

#define CRASH_BUTTON_OK                     5300
#define CRASH_LABEL_1                       5301
#define CRASH_LABEL_2                       5302

#define NEW_HIGHSCORE_NAME                  5400
#define NEW_HIGHSCORE_BUTTON_OK             5401
#define NEW_HIGHSCORE_LABEL_1               5402
#define NEW_HIGHSCORE_LABEL_2               5403
#define NEW_HIGHSCORE_LABEL_3               5404

#define NEXT_LEVEL_BUTTON_OK                     5300
#define NEXT_LEVEL_LABEL_1                       5301
#define NEXT_LEVEL_LABEL_2                       5302

//Definition der Bitmaps
#define BITMAP_LOGO                         2100//6000

#define JOKER_BITMAP                        2031
#define KOERPER_OST_SUED_BITMAP_VOLL        2030//6001
#define KOERPER_OST_NORD_BITMAP_VOLL        2029//6002
#define KOERPER_WEST_SUED_BITMAP_VOLL       2028//6003
#define KOERPER_WEST_NORD_BITMAP_VOLL       2027//6004
#define KOERPER_WEST_OST_BITMAP_VOLL        2026//6005
#define KOERPER_NORD_SUED_BITMAP_VOLL       2025//6006
#define KOERPER_OST_SUED_BITMAP             2024//6001
#define KOERPER_OST_NORD_BITMAP             2023//6002
#define KOERPER_WEST_SUED_BITMAP            2022//6003
#define KOERPER_WEST_NORD_BITMAP            2021//6004
#define KOERPER_WEST_OST_BITMAP             2020//6005
#define KOERPER_NORD_SUED_BITMAP            2019//6006
#define KOPF_ESSEN_NORD_BITMAP              2018//6007
#define KOPF_ESSEN_SUED_BITMAP              2017//6008
#define KOPF_ESSEN_WEST_BITMAP              2016//6009
#define KOPF_ESSEN_OST_BITMAP               2015//6010
#define DEAD_NORD_BITMAP                    2014//6011
#define DEAD_SUED_BITMAP                    2013//6012
#define DEAD_OST_BITMAP                     2012//6014
#define DEAD_WEST_BITMAP                    2011//6013
#define SCHWANZ_NORD_BITMAP                 2010//6015
#define SCHWANZ_SUED_BITMAP                 2009//6016
#define SCHWANZ_OST_BITMAP                  2008//6018
#define SCHWANZ_WEST_BITMAP                 2007//6017
#define KOPF_NORD_BITMAP                    2006//6019
#define KOPF_SUED_BITMAP                    2005//6020
#define KOPF_OST_BITMAP                     2004//6022
#define KOPF_WEST_BITMAP                    2003//6021
#define APFEL_BITMAP                        2002//6023
#define LEER_BITMAP                         2001//6024
#define HINDERNIS_BITMAP                    2000//6025

// Definitionen der Strings
#define STRING_NAME                         7000
#define STRING_PUNKTE                       7001
#define STRING_LEVEL                        7002
#define STRING_HIGHSCORE                    7003

// Definition der Alerts
#define ROM_INCOMPATIBLE_ALERT              8000
#define ALERT_DEBUG                         8001
